FAQs Transit FAQs

Apple devices should have iOS 9.0 at a minimum to enjoy the app’s full functionality.  Droid mobile devices require at least 5.1 to run PennRides on Request correctly. 

Additionally, it is recommended that app users be sure to review their mobile device settings to accept push notifications.  Another helpful hint to maximize the app's functionality is to allow background refresh on your device.